{"openapi":"3.0.4","info":{"title":"Patch a Chart of Accounts.","description":"Update fields on a Chart of Accounts.\r\nThe behaviour is defined by the JSON Patch specification.\r\n\r\nCurrently supported fields are: DisplayName, Description.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/chartofaccounts/{scope}/{code}":{"patch":{"tags":["Chart Of Accounts"],"summary":"Patch a Chart of Accounts.","description":"Update fields on a Chart of Accounts.\r\nThe behaviour is defined by the JSON Patch specification.\r\n\r\nCurrently supported fields are: DisplayName, Description.","operationId":"PatchChartOfAccounts","parameters":[{"name":"scope","in":"path","description":"The scope of the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Chart of Accounts. Together with the scope this uniquely identifies the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The json patch document. For more information see: https://datatracker.ietf.org/doc/html/rfc6902.","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":"UpdatedChartOfAccountDisplayName","path":"/displayName","op":"add"},{"path":"/description","op":"remove"}]},"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":"UpdatedChartOfAccountDisplayName","path":"/displayName","op":"add"},{"path":"/description","op":"remove"}]},"text/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":"UpdatedChartOfAccountDisplayName","path":"/displayName","op":"add"},{"path":"/description","op":"remove"}]},"application/*+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":"UpdatedChartOfAccountDisplayName","path":"/displayName","op":"add"},{"path":"/description","op":"remove"}]}},"required":true},"responses":{"200":{"description":"The updated Chart of Accounts.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ChartOfAccounts"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ChartOfAccounts"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ChartOfAccounts"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}